[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'Graphics' (#lcl)

# TCustomIcon.Remove

Removes an icon image with the specified attributes.

## Declaration

Source position: graphics.pp line 1658

`public procedure TCustomIcon.Remove(`
`AFormat: TPixelFormat;`
`AHeight: Word;`
`AWidth: Word`
`);`

## Arguments

`AFormat` |  | Pixel format (color depth) for the icon image.
`AHeight` |  | Height for the icon image.
`AWidth` |  | Width for the icon image.

## Description

Remove is used to locate and delete an icon image with the attributes specified in AFormat, AHeight, and AWidth.

Remove calls GetIndex to get the position in the internal image list where the icon image with the specified attributes is stored. If an image is found, the Delete method is called to the remove the icon image.

The value in Current is modified when it represents an icon image affected by the removal. Current is set to -1 when it contains the index for the icon image removed in the method.

## See also

TCustomIcon.GetIndex |  | GetIndex - returns the Index value of the Icon with specified format and size (.icn files can contain several versions of image).
TCustomIcon.Delete |  | Deletes the image at the specified position in the list of images for the icon.
TCustomIcon.Current |  | Ordinal position for the current image displayed for the icon.
TCustomIcon.Count |  | Number of images in the image list for the shared icon.